<!--
 * @Description: 添加目录---- 子模块
-->
<template>
  <el-form style="color:#FFF" label-width="80px" label-position="right" class="eform">
    <el-form-item label="目录名称">
      <el-input placeholder="请输入内容" v-model="menuName" size="mini"></el-input>
    </el-form-item>
    <el-form-item label="目录描述">
      <el-input type="textarea" :autosize="{ minRows: 2 }" placeholder="请输入内容" v-model="menuDescription">
      </el-input>
    </el-form-item>
    <el-form-item label="目录共享">
      <share-element-item ref="shareElementItemRef" />
    </el-form-item>
  </el-form>
</template>
<script>
import ShareElementItem from "@/components/datasource/ShareElementItem.vue";
export default {
  components: {
    ShareElementItem,
  },
  name: "addResourceMenu",
  data() {
    return {
      menuName: "",
      menuDescription: "",
    };
  },
  computed: {
    shareItem() {
      let item = {};
      item.valueUser = this.$refs.shareElementItemRef.valueUser;
      item.valueDept = this.$refs.shareElementItemRef.$refs.deptTree == undefined ? [] : this.$refs.shareElementItemRef.$refs.deptTree.getCheckedKeys();
      item.status = this.$refs.shareElementItemRef.radio

      return item;
    }
  },
  methods: {},
};
</script>
<style lang="less" scoped>
.eform {
  /deep/ .el-input__inner {
    background-color: transparent;
    background-image: none;
    border-radius: 0px;
    border: 1px solid #5c6d96;
    color: #ffffff;
  }

  /deep/ .el-form-item__label {
    color: #FFF
  }

  /deep/ .el-textarea__inner {
    background-color: transparent;
    border-radius: 0px;
    border: 1px solid #5c6d96;
    color: #ffffff;
  }
}
</style>